#
# Conditional build:
%bcond_without	tests	# don't perform "make tests"
%bcond_with	dynamic	# link libstdc++ and libgcc dynamically
#
Summary:	AppArmor userlevel parser utility
Summary(pl.UTF-8):	Narzędzie przestrzeni użytkownika do przetwarzania AppArmor
Name:		apparmor-parser
Version:	2.8.2
Release:	1
Epoch:		1
License:	GPL v2
Group:		Applications/System
Source0:	http://launchpad.net/apparmor/2.8/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	bcc6bb56630b007d4ea5c9affe9d750d
Source1:	%{name}.init
Patch0:		%{name}-pld.patch
Patch1:		bison3.patch
URL:		http://apparmor.wiki.kernel.org/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	libcap-devel
BuildRequires:	libstdc++-devel
# for apparmor_profile which links statically sometimes
%{!?with_dynamic:BuildRequires:	libstdc++-static}
BuildRequires:	perl-tools-pod
%if %{with tests}
BuildRequires:	perl-Locale-gettext
BuildRequires:	perl-Test-Harness
BuildRequires:	perl-tools-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AppArmor Parser is a userlevel program that is used to load in program
profiles to the AppArmor Security kernel module. This package is part
of a suite of tools that used to be named SubDomain.

%description -l pl.UTF-8
AppArmor Parser to program przestrzeni użytkownika służący do
wczytywania profili programów dla modułu bezpieczeństwa AppArmor jądra
Linuksa. Ten pakiet jest częścią zestawu narzędzi nazywanych
SubDomain.

%prep
%setup -q -n apparmor-%{version}
%patch0 -p0
%patch1 -p1

%build
%{__make} -j1 -C parser \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags}" \
	%{?with_dynamic:AAREOBJECTS='$(AAREOBJECT)' AARE_LDFLAGS=}

%if %{with tests}
%{__make} -j1 -C parser tests \
	CC="%{__cc}" \
	%{?with_dynamic:AAREOBJECTS='$(AAREOBJECT)' AARE_LDFLAGS=-lstdc++}
%endif

%install
rm -rf $RPM_BUILD_ROOT
cd parser

install -d $RPM_BUILD_ROOT{%{_mandir}/man{5,7,8},%{_sysconfdir}/{apparmor,rc.d/init.d},/sbin,/subdomain,/var/lib/apparmor}

install apparmor_parser $RPM_BUILD_ROOT/sbin
install subdomain.conf $RPM_BUILD_ROOT%{_sysconfdir}/apparmor
install rc.apparmor.functions $RPM_BUILD_ROOT%{_sysconfdir}/apparmor
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/apparmor
install *.5 $RPM_BUILD_ROOT%{_mandir}/man5
install *.7 $RPM_BUILD_ROOT%{_mandir}/man7
install *.8 $RPM_BUILD_ROOT%{_mandir}/man8

%{__make} -j1 -C po install \
	DESTDIR=$RPM_BUILD_ROOT \
	NAME=%{name}

cd ..
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add apparmor

%preun
if [ "$1" = "0" ]; then
        /sbin/chkconfig --del apparmor
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc parser/README
%attr(755,root,root) /sbin/apparmor_parser
%dir %{_sysconfdir}/apparmor
%{_sysconfdir}/apparmor/rc.apparmor.functions
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apparmor/subdomain.conf
%attr(754,root,root) /etc/rc.d/init.d/apparmor
/subdomain
/var/lib/apparmor
%{_mandir}/man5/apparmor.d.5*
%{_mandir}/man5/apparmor.vim.5*
%{_mandir}/man5/subdomain.conf.5*
%{_mandir}/man7/apparmor.7*
%{_mandir}/man8/apparmor_parser.8*
%changelog
* Mon Nov 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apparmor-parser.git;a=log;h=master

* Mon Nov 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 69fdbb5
- rel 1

* Mon Nov 04 2013 Jan Rękorajski <baggins@pld-linux.org> 921e937
- fix building with bison 3.0

* Mon Nov 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 95ab98a
- partial 2.8.2 update

* Fri Jan 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 49c8bde
- up to 2.8.1

* Thu Jun 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 798a329
- up to 2.8.0

* Sat Apr 07 2012 Jakub Bogusz <qboosh@pld-linux.org> 8b32f5b
- verbose man files
- GPL version

* Fri Apr 06 2012 Jakub Bogusz <qboosh@pld-linux.org> b3df0fa
- added dynamic bcond

* Thu Apr 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4694c99
- up to 2.7.2

* Tue Dec 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b873852
- release 5

* Tue Dec 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 816628c
- missing pipe

* Mon Dec 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 16be80f
- rel 4; always try to use caching

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 99a319b
- rel 3; make profiles reloading work even if there is no free space on /tmp (from bzr)

* Thu Jul 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4893660
- BR libstdc++-static

* Thu Jul 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a5177d
- rel 2; fix skipping unwanted profiles; allow to pass own options to parser

* Fri Apr 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 29fb036
- up to 2.6.1

* Sun Mar 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 423ac44
- up to 2.6.0

* Wed Aug 04 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e853d4f
- rel 6; more bzr fixes

* Sat Jun 05 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> eb26b1f
- rel 5; bzr fixes (including error filename:line number reportinf fix)

* Tue Jun 01 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f8e1253
- rel 4; bzr fixes

* Thu May 13 2010 sparky <sparky@pld-linux.org> a476cbb
- BR: libstdc++-devel

